return themed recommendations for a user

Prev Next
Get
/recommendations/themed

The themed recommendations api allows retrieval of the most recommended garments for a user matching a theme. Themes should be agreed in advance with Mapp Fashion.

This is the api equivalent of the plp widget.

Security
API Key: api_key
Header parameter namex-api-key
API Key: api_key
Header parameter namex-api-key
API Key: user_token
Header parameter namex-dressipi-jwt

The JWT for the user. Optional: requests without a user token return non-personalized results. The header name is unchanged for backwards compatibility.

Query parameters
garment_format
string

The desired response format.

The response includes a description of the outfits / similar items but no data on the items themselves: since these may be repeated within the response, garment data is provided separately in the response.

The detailed format includes the most amount of item metadata (name, description, price etc).

The document format only includes item identifiers, and if requested Mapp Fashion generated information about the item, such as predicted size.

The retailer_ids format only returns the item identifiers.

Valid values[ "detailed", "document", "retailer_ids" ]
Default"retailer_ids"
pretty
boolean

If true, pretty print JSON output. This increases response size and should usually be off in production environments

Defaultfalse
include_dressipi_ids
boolean

Controls whether Mapp Fashion garment ids (raw_garment_id) are included in response

Defaulttrue
device_type
string

A device type identifier. This allows segmenting a/b test statistics in the same way as you do.

locale
string

A locale parameter describing what stock information to use and what language to return text in (if applicable). This parameter will only function if the corresponding information is in your product data & processed accordingly. If stock local and UI language are not the same, specify the language parameter in addition to this one.

language
string

Allows you to specify a locale used for product attributes such as product name that should be localized using a different locale to price & stock information. This parameter will only function if the corresponding information is in your product data & processed accordingly.

theme
stringRequired

The theme identifier, as agreed with Mapp Fashion.

count
integer (int32)

The number of recommendations to return

Default6
Responses
200

Information about the related garments

Expand All
object

The themed recommendations api allows retrieval of the most recommended garments for a user matching a theme. Themes should be agreed in advance with Mapp Fashion.

This is the api equivalent of the plp widget.

Example{ "event_id": "5a621005c2c9adc12e1192b7", "reparentable": true, "content_id": "5a621005c2c9adc12e1192b7", "invalid_theme": false, "recommendations": [ { "garment_id": "ABC-123", "raw_garment_id": 123456, "ancillary_product_code": "A-111", "garment_category_id": 42, "garment_category_name": "Dresses", "department": "female", "has_outfits": true, "has_extended_verdicts": true, "size": { "exact": [ "5", "UK 10" ], "plus_one": [ "6", "UK 12" ], "minus_one": [ "4", "UK 8" ] }, "verdict": true, "owned": false, "why": [ "A neat slim leg flatters your slender shape", "A hint of flare helps to balance out your shoulders." ], "occasions": [ "casual", "holiday" ], "recommendedness": { "score": 8, "reason": "Good for you" }, "features": [ { "id": 1, "name": "Basic", "feature_category_name": "Wardrobe" }, { "id": 2, "name": "A/W 2020", "feature_category_name": "Season" } ], "feed_image_urls": [ "https://assets.retailer.com/images/01AC017NAV", "https://assets.retailer.com/images/01AC017NAV" ], "eans": [ "ABCD01", "ABCD02", "ABCD03" ], "brand_name": "Some Brand", "retailer": "Some Retailer", "name": "Black Maxi dress", "price": "35.00 GBP", "old_price": "35.00 GBP", "url": "https://www.someretailer.com/dresses/01AC017NAV", "garment_status": "in stock", "custom_attributes": [ { "name": "retailer_specific_attribute_1", "value": "abcedfg", "array_value": [] } ] } ] }
event_id
string

An event id. This should be used when posting events relating to this dataset.

Example5a621005c2c9adc12e1192b7
reparentable
boolean

If true, the eventid should be posted to /events//reparent

content_id
string

An opaque identifier identifying this section of the response. This should be used when posting events relating to an item in this outfit.

Example5a621005c2c9adc12e1192b7
recommendations
Array of object (Garment)

The recommended items

object

Fetches information about a garment. The garment format is implicitly set to detailed.

Example{ "garment_id": "01AC017NAV", "raw_garment_id": 4508067, "ancillary_product_code": "N-1-D-1111", "garment_category_id": 42, "garment_category_name": "Dresses", "department": "female", "has_outfits": true, "has_extended_verdicts": true, "size": { "exact": [ "5", "UK 10" ], "plus_one": [ "6", "UK 12" ], "minus_one": [ "4", "UK 8" ] }, "verdict": true, "owned": false, "why": [ "A neat slim leg flatters your slender shape", "A hint of flare helps to balance out your shoulders." ], "occasions": [ "casual", "holiday" ], "recommendedness": { "score": 8, "reason": "Good for you" }, "eans": [ "ABCD01", "ABCD02", "ABCD03" ], "features": [ { "id": 1, "name": "Basic", "feature_category_name": "Wardrobe" }, { "id": 2, "name": "A/W 2020", "feature_category_name": "Season" } ], "feed_image_urls": [ "https://assets.retailer.com/images/01AC017NAV", "https://assets.retailer.com/images/01AC017NAV" ], "brand_name": "Some Brand", "retailer": "Some Retailer", "name": "Black Maxi dress", "price": "35.00 GBP", "old_price": "35.00 GBP", "url": "https://www.someretailer.com/dresses/01AC017NAV", "garment_status": "in stock", "custom_attributes": [ { "name": "retailer_specific_attribute_1", "value": "abcedfg", "array_value": [] } ] }
garment_id
string

The garment_id. The type of identifier used depends on the requests' garment_format

ExampleABC-123
raw_garment_id
integer (int32)

The internal Mapp Fashion id for the garment. This may be omitted depending on garment_format

Example123456
product_id
string

The product level identifier the item belongs to (Product ID in the Product Catalog), grouping all its colors and sizes. Omitted if your product data contains no Product ID

ExampleTS30165
ancillary_product_code
string

An alternative identifier to identify the product, hidden when not provided in your product data

ExampleA1B2C3
has_extended_verdicts
boolean

Whether garment has extended verdicts. Only presents for verdicts/dislikes, also not present if format=retailer_ids

Exampletrue
has_outfits
boolean

Whether outfits can be generated. not present if format=retailer_ids

size
object (Sizing)
exact
Array of string

Information about the recommended size

string
plus_one
Array of string

Information about size immediately bigger than the recommended one (if available)

string
minus_one
Array of string

Information about size immediately smaller than the recommended one (if available)

string
why
Array of string

If whys have been requested & if the profile has shape data, a list of human readable reasons for recommendation

string
verdict
boolean

If verdicts have been requested, the approval status of the garment (true=like, false=dislike, nil=no verdict given)

owned
boolean

If owned has been requested, whether the use has previously purchased the product

recommendedness
object (Recommendedness)
score
integer (int32)

A numerical score for the garment (out of 10)

reason
string

A human readable interpretation of the score

features
Array of object (BasicFeature)

If features have been requested, a list of whitelisted feature objects

object
id
integer (int32)

The id for the feature

Example170
name
string

The human readable name for the feature

ExamplePlain Pattern
feature_category_name
string

The feature category of the feature

ExamplePattern
garment_category_id
integer (int32)

The category id for the product.

department
string

The garment department (female male girls boys).

eans
Array of string

If eans have been requested, the array of eans present in your product data.

string
garment_category_name
string

The category name for the product.

occasions
Array of string | null

Array of the product occasions. Only present if format=detailed, and only populated when occasions is requested via fields; otherwise the key may be returned as null. The possible values are casual, evening, occasion, holiday, work and creative_work

string
retailer
string

The retailer name for the product. Only present if format=detailed

feed_image_urls
Array of string

The array of image_urls present in your product data. Only present if format=detailed

string
brand_name
string

The brand name for the product. Only present if format=detailed

name
string

The product name. Only present if format=detailed

price
string

The current price, as it appears in your product data. Only present if format=detailed

old_price
string

The previous price, as it appears in your product data. Only present if format=detailed

url
string

The URL for the PDP for the garment. Only present if format=detailed

garment_status
string

The status of the garment. Only present if format=detailed

custom_attributes
Array of object (CustomAttribute)

Product attributes, as agreed with Mapp Fashion

object
name
string

The name of the attribute

value
string

The value of the attribute (if string valued)

array_value
Array of string

The value of the attribute (if array valued)

string
invalid_theme
boolean

If true, theme was not recognized

400

One or more parameter values are invalid

Expand All
object

Generic error object

error
object
message
string

A human readable error message

403

Invalid JWT: a user token was supplied but could not be verified. Requests without a user token are not affected - they return non-personalized results

Expand All
object

Generic error object

error
object
message
string

A human readable error message

422

error message

Expand All
object

Generic error object

error
object
message
string

A human readable error message

500

An internal error occurred. Retry the request. If the issue persists, contact Technical Support

Expand All
object

Generic error object

error
object
message
string

A human readable error message